﻿@model Instantly.Models.User

@{
    ViewData["Title"] = "Edit";
}
<div class="container">
    <h1>Edit</h1>

    <h4>User</h4>
    <hr />
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Edit" asp-controller="Users" asp-antiforgery="true">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <input type="hidden" asp-for="UserId" />
                <div class="form-group">
                    <label asp-for="Email" class="control-label"></label>
                    <input asp-for="Email" class="form-control" />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Password" class="control-label"></label>
                    <input asp-for="Password" class="form-control" />
                    <span asp-validation-for="Password" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="FIO" class="control-label"></label>
                    <input asp-for="FIO" class="form-control" />
                    <span asp-validation-for="FIO" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Birthdate" class="control-label"></label>
                    <input asp-for="Birthdate" value="@Model.Birthdate.ToString("yyyy-MM-dd")" class="form-control" />
                    <span asp-validation-for="Birthdate" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Photo" class="control-label"></label>
                    <input asp-for="Photo" class="form-control" />
                    <span asp-validation-for="Photo" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="City" class="control-label"></label>
                    <input asp-for="City" class="form-control" />
                    <span asp-validation-for="City" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Role" class="control-label"></label>
                    <input asp-for="Role" class="form-control" />
                    <span asp-validation-for="Role" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input type="submit" value="Save" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>

    <div>
        <a asp-action="Index">Back to List</a>
    </div>

    @section Scripts {
        @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    }
</div>